Subject: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: Jean Louis <[email-masked]>
Date: Tue, 8 Dec 2020 19:14:12 +0300

* Eli Zaretskii <[email-masked]> [2020-12-08 19:09]:
> > Date: Tue, 8 Dec 2020 17:58:40 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: Lars Ingebrigtsen <[email-masked]>, Eli Zaretskii <[email-masked]>,
> >   [email-masked]
> > 
> > I would prefer by default not to switch windows for me as if I am user
> > and switched the other buffer why would I need it automatically back?
> > I switched it because I do not need it.
> > 
> > Please understand how it is to work in a loop in minibuffer, many
> > coordinates have to be entered carefully and various maps consulted,
> > and then even though buffers were switched there and back on each new
> > invocation of minibuffer prompt all those buffers go away.
> > 
> > >From the view point of having user control, I would rather have that
> > option turned off by default.
> 
> I understand your POV, but we cannot possibly change such a
> long-standing behavior by default.  It must start as an opt-in
> behavior.  Later, when enough people tried it and said they'd like it
> to be the default, we might start thinking about making it the
> default.

I totally and generally agree on the approach not to change
default. It is just opinion, I would not change defaults as it would
influence many.